the blog
Back to -Products -Sapphire-IDE

Ruby In Steel 2 Prerequisites

Downloads and links

Here you may download software that is required by or supported by the Ruby In Steel IDE version 2

NOTE: These downloads are supplied for the convenience of existing users of Ruby In Steel 2 only. Ruby In Steel 2 has been superseded by Sapphire and is no longer supported. New users should download Sapphire, rather than Ruby In Steel 2.

Ruby In Steel 2 Downloads

Ruby In Steel 2 Download. This can be installed into Visual Studio 2010 (standard edition or above). Download this if you already have VS2010.

Ruby In Steel All-in-one Installer Download. This will install the free Visual Studio 2010 ’Shell’ edition, Ruby In Steel 2 and a Ruby interpreter. Use this if you don’t already own Visual Studio 2010.

Ruby Interpreters

These interpreters are for use with Ruby In Steel 2 only. Do not use them with Sapphire.

The Ruby In Steel 2 Cylon debugger only supports specific builds of the Ruby interpreter. You must be sure to use a supported build.

The following interpreters may be downloaded from our site. All are supported by Ruby In Steel 2.0 (RiS2.x). Only the first is supported by Ruby In Steel 1 (RiS1.x).

- ruby186-27_rc2.exe - 1.8.6 supported by RiS1.x or RiS2.x (this is the only supported interpreter for Ruby in Steel 1.0)
- rubyinstaller-1.8.6-p398.exe – 1.8.6 supported by RiS2.x
- rubyinstaller-1.8.7-p302.exe – 1.8.7 supported by RiS2.x
- rubyinstaller-1.9.2-p0.exe – 1.9.2 supported by RiS2.x
- rubyinstaller-1.9.2-p180.exe - 1.9.2 supported by RiS2.x
- rubyinstaller-1.9.2-p290.exe - 1.9.2 (recommended version) supported by RiS2.x

JRuby 1.4 is also supported by RiS1.x and RiS2.x. JRuby 1.5 and 1.6 are supported by RiS2.x. For JRuby downloads go to the JRuby site: http://www.jruby.org/download.

Bookmark and Share   Keywords:  ruby  Ruby In Steel 1  Ruby In Steel 2
© SapphireSteel Software 2014